import { createRouter, createWebHistory } from 'vue-router';
import TableAcars from '../components/TableAcars.vue';
import IvaoView from '../views/IvaoView.vue';

const router = createRouter({
  history: createWebHistory(
    import.meta.env.BASE_URL),
  routes: [{
      path: '/',
      name: 'home',
      component: IvaoView,
    },
    {
      path: '/acars',
      name: 'acars',
      component: TableAcars,
    },
    // {
    //   path: '/about',
    //   name: 'about',
    //   // route level code-splitting
    //   // this generates a separate chunk (About.[hash].js) for this route
    //   // which is lazy-loaded when the route is visited.
    //   component: () => import('../views/AboutView.vue'),
    // },
  ],
});

export default router;